# Type Alias InternalHelperEventMap

type InternalHelperEventMap = {
applyObjectPosition: (position: { matrix: THREE.Matrix4 }) => void;
applyObjectRotate: (
rotate: { origin: THREE.Vector3; quaternion: THREE.Quaternion },
) => void;
applyObjectScale: (
scale: { matrix: THREE.Matrix4; origin?: THREE.Vector3 },
) => void;
initialHelperPosition: () => void;
setObjectPosition: (position: THREE.Vector3) => void;
setObjectRotate: (
quaternion: THREE.Quaternion,
origin?: THREE.Vector3,
) => void;
setObjectScale: (scale: THREE.Vector3) => void;
}

- Defined in lib/plugins/Object3DHelperPlugin/typing.ts:67

##### Index

### Properties

applyObjectPosition
applyObjectRotate
applyObjectScale
initialHelperPosition
setObjectPosition
setObjectRotate
setObjectScale

## Properties

### applyObjectPosition

applyObjectPosition: (position: { matrix: THREE.Matrix4 }) => void

- Defined in lib/plugins/Object3DHelperPlugin/typing.ts:74

### applyObjectRotate

applyObjectRotate: (
rotate: { origin: THREE.Vector3; quaternion: THREE.Quaternion },
) => void

- Defined in lib/plugins/Object3DHelperPlugin/typing.ts:75

### applyObjectScale

applyObjectScale: (
scale: { matrix: THREE.Matrix4; origin?: THREE.Vector3 },
) => void

- Defined in lib/plugins/Object3DHelperPlugin/typing.ts:76

### initialHelperPosition

initialHelperPosition: () => void

- Defined in lib/plugins/Object3DHelperPlugin/typing.ts:68

### setObjectPosition

setObjectPosition: (position: THREE.Vector3) => void

- Defined in lib/plugins/Object3DHelperPlugin/typing.ts:70

### setObjectRotate

setObjectRotate: (quaternion: THREE.Quaternion, origin?: THREE.Vector3) => void

- Defined in lib/plugins/Object3DHelperPlugin/typing.ts:71

### setObjectScale

setObjectScale: (scale: THREE.Vector3) => void

- Defined in lib/plugins/Object3DHelperPlugin/typing.ts:72